Transfer conversation

PUT
/beta/conversations/{conversationId}/transfer/queue

Transfer a conversation to a target queue.

Authorization

ApiKeyAuth conversation.reply
headerAuthorization<token>

Scope: conversation.reply

Path Parameters

conversationId*integer
Formatint64

Request Body

Specify the target queue and acting user

application/json
  1. body
queueId*string

The target queue for the conversation transfer

Formatuuid
userId?string

An optional agent/admin/AI agent to originate the transfer of the conversation. If not provided, the System User will be used.

Formatuuid

Response Body

The conversation was successfully transferred to the target queue

Example Request
curl -X PUT 'https://dev.dixa.io/beta/conversations/{conversationId}/transfer/queue' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "queueId": "92f8d193-b26f-4a62-86a3-bb03ee0915e9",  "userId": "a53b25da-f676-4c52-acac-58c9280aa23d"}'

Empty